draugr.torch\_utilities.system.device.TorchDeviceEnum
=====================================================



.. currentmodule:: draugr.torch_utilities.system.device

.. autoclass:: TorchDeviceEnum
   :members:
   :show-inheritance:
   :inherited-members:

   
   .. automethod:: __init__

   
   

   
   
   .. rubric:: Attributes

   .. autosummary::
   
      ~TorchDeviceEnum.cpu
      ~TorchDeviceEnum.cuda
      ~TorchDeviceEnum.vulkan
   
   